About iMochaHelpBook a demo
About iMochaHelpBook a demo
  1. Tara Interview API
  • Introduction
  • Skills Assessment API
    • API Reference
      • Getting started
      • API Environment
      • Authentication Mechanism
      • Error Code
      • List timezones
    • Test
      • List all tests
      • Retrieve a test
      • Retrieve test settings
      • Update Test Settings
    • Test Invitations
      • Callback notification
      • Invite candidate
      • Invite candidate by test link
      • Bulk Invite
      • Reattempt Test
      • Cancel Invitation
    • Test Link
      • List all test links
      • Create Test Link
      • Update Test Link
    • Report
      • Retrieve candidate test report
      • Retrieve candidate test report in PDF
      • Get Reports By TestId
      • Get All Reports
    • Callback API
      • Process Callbacks
      • Retrieve Invites
    • GDPR
      • GDPR Data Masking Service
    • Users
      • Get all business units
      • Create New User
      • Update User
      • Active/ Inactive User
    • Tara Interview API
      • Introduction
      • Get All Interviews
        GET
      • Schedule Interview
        POST
      • Get Detailed Report
        GET
      • Get All Reports
        GET
  • Skills Intelligence API
    • Introduction
    • Authentication
    • Employee
      • List employees
      • Get Employee Skills by employeeId
      • Employee Enrollment
      • Get Employee Certificates
      • Update Employee Status
      • Get Employee Assessment Report
      • Upload Certificate for Employee
      • Upload Resume for Employee
      • List Employees with Skills Profile
      • Assign Learning to Employee
      • Get Employee Skill Gap
    • JobProfiles
      • Get All JobProfiles
      • Get JobProfile with Skills By JobProfileId
      • Create JobCode
    • Taxonomy
      • Get all Taxonomy Skills
    • CareerPath
      • Get Employee Career Path by employeeId
    • Account
      • Get Rubric Levels
      • Get Multichannel Validation Weightages
    • Learning
      • Create Learning Resources
      • Get all Learning Resources
    • Certificates
      • Create certificate with skills
      • Get all Certificates
  1. Tara Interview API

Get Detailed Report

GET
/v3/tara/interviews/reports/{interviewInvitationId}
Retrieve the detailed AI interview report for a specific interview invitation. This API returns candidate information, recommendation summary, strengths, improvement areas, skill evaluations, and proctoring details.

Request

Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://apiv3.imocha.io/v3/tara/interviews/reports/' \
--header 'x-api-key;'
Response Response Example
{
  "interviewInvitationId": "integer",
  "candidateEmail": "string",
  "candidateName": "string",
  "interviewId": "integer",
  "interviewName": "string",
  "interviewDate": "datetime",
  "recommended": "integer",
  "recommendation": "string",
  "additionalNotes": "string",
  "baseImageUrl": "string",
  "strengths": [
    "string"
  ],
  "improvements": [
    "string"
  ],
  "proctoringMode": "string | null",
  "proctoringDetails": {
    "capturedImages": "integer",
    "imageViolations": "integer",
    "multipleFaceDetected": "integer",
    "noFaceDetected": "integer",
    "unrecognisedFaceDetected": "integer",
    "faceDetected": "integer"
  },
  "skills": [
    {
      "skillName": "string",
      "level": "integer",
      "comments": "string"
    }
  ]
}
Modified at 2026-05-29 06:03:01
Previous
Schedule Interview
Next
Get All Reports
Built with